<?php

// Abfrage weiterer Informationen zu einem Fax-Job


require_once '../config.inc.php';
require_once INCLUDE_PATH.'Teamnet/Fax/Soap/Client/Job.php';


// Die JobID, von welcher wir die Informationen ermitteln möchten
// Wird vom Aufrufer übergeben
$iJobID = (isset($_REQUEST['jobid']) && !empty($_REQUEST['jobid']))
		? $_REQUEST['jobid'] : null;


// Neues FaxJob wrapper Objekt
$oFaxJob = new Teamnet_Fax_Soap_Client_Job( FAX_JOB_WSDL, FAX_AUTHKEY );


try {
	// Anfrage ausführen
	$oResult = $oFaxJob->getJobProfile( $iJobID );

	echo 'Profil des Jobs '.$iJobID."\n";
	echo '<pre>'.htmlspecialchars(print_r($oResult, true)).'</pre>';

} catch (JobNotFoundException  $e) {
	echo 'Ein Job mit der ID '.$iJobID.' konnte nicht gefunden werden';
} catch (ParameterException $e) {
	echo 'Parameter '.$e->parameter.': '.$e->getMessage();
} catch (AuthentificationException $e) {
	echo $e->getMessage();
} catch (ServiceException $e) {
	echo 'Der Fax-API Endpunkt meldet einen internen Fehler: '.
		 $e->getMessage();
} catch (MaintenanceException $e) {
	echo 'Wartungsarbeiten am API-Endpunkt: '.$e->getMessage();
}